import ComponentsFormsQuillEditorBasic from '@/components/forms/quill-editor/components-forms-quill-editor-basic';
import ComponentsFormsQuillEditorWithTooltip from '@/components/forms/quill-editor/components-forms-quill-editor-with-tooltip';
import { Metadata } from 'next';
import Link from 'next/link';
import React from 'react';
import ComponentsFormsMarkdownEditorBasic
    from '@/components/forms/markdown-editor/components-forms-markdown-editor-basic';
import ComponentsFormsMarkdownEditorAutosaving
    from '@/components/forms/markdown-editor/components-forms-markdown-editor-autosaving';

export const metadata: Metadata = {
    title: 'ادیتور',
};

export default function() {
    return (
        <div>
            <ul className="flex space-x-2 rtl:space-x-reverse">
                <li>
                    <Link href="#" className="text-primary hover:underline">
                        فرم ها
                    </Link>
                </li>
                <li className="before:content-['/'] ltr:before:mr-2 rtl:before:ml-2">
                    <span>ادیتور</span>
                </li>
            </ul>
            <div className="space-y-8 pt-5">
                <div className="grid grid-cols-1 gap-6 lg:grid-cols-2">
                    {/* Basic */}
                    <ComponentsFormsQuillEditorBasic />
                    {/*  With Tooltip */}
                    <ComponentsFormsQuillEditorWithTooltip />

                    <ComponentsFormsMarkdownEditorBasic/>

                    <ComponentsFormsMarkdownEditorAutosaving/>
                </div>
            </div>
        </div>
    );
}
